Name: H5Pget_fapl_mpiposix
Signature:
  herr_t `H5Pget_fapl_mpiposix`( hid_t `fapl_id`, MPI_Comm *`comm`, hbool_t *`use_gpfs_hints` )
Purpose:
  Returns MPI communicator information.
Description:
  If the file access property list is set to the `H5FD_MPIO` driver, `H5Pget_fapl_mpiposix` returns the MPI communicator through the `comm` pointer, if those values are non-null.

  `comm` is not copied, so it is valid only until the file access property list is either modified or closed.

  `use_gpfs_hints` specifies whether to attempt to use GPFS hints when accessing this file. A value of `TRUE` (or `1`) indicates that the hints are being used, where possible. A value of `FALSE` (or `0`) indicates that the hints are not being used.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
MPI_Comm *`comm` | OUT: MPI-2 communicator.
hbool_t *`use_gpfs_hints` | OUT: Use of GPFS hints.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_fapl_mpiposix_f

      SUBROUTINE h5pget_fapl_mpiposix_f(prp_id, comm, use_gpfs, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(OUT) :: comm          ! Buffer to return communicator
        LOGICAL, INTENT(OUT) :: use_gpfs
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5pget_fapl_mpiposix_f

History:

Release | C |  | Fortran90
1.6.1 |  |  | Fortran subroutine introduced in this release.
1.6.0 | `use_gpfs_hints` parameter added. |  |
1.6.0 | Function introduced in this release. |  |